% MATLAB script for trying MRGFLS
for j=1:4
   switch j
   case 1, [W,A,B,IFLAG] = MRGFLS(@F,  2, 3, 1.e-9,1.e-7,10);
   case 2, [W,A,B,IFLAG] = MRGFLS(@F, 1, 2, 1.e-1,1.e-7,10);
   case 3, [W,A,B,IFLAG] = MRGFLS(@F, 1, 2, 1.e-9,1.e-7,10);
   case 4, [W,A,B,IFLAG] = MRGFLS(@F, 1, 2, 1.e-9,1.e-9,4);
   end
   
   fprintf(' The zero is %e  within [%e .. %e], IFLAG = %d\n', ...
              [W,A,B,IFLAG])
end

function fx = F(X)
fx = -1 - X*(1-X*X);  % using .* instead of * would make it possible to
                      % obtain the values at all the entries of an
                      % entire array X
fprintf('  X = %e,  F(X) = %e\n', [X, fx])
end
