%MATLAB version of FORTRAN program for calculating the inverse of a given
% matrix on page 167 of conte/deboor. This program uses FACTOR and SUBST
% It also makes use of the fact that the MATLAB version of SUBST can solve
% A*? = B for matrices B.

% I avoid reading in the sample matrix

A = [2 3 -1;4 4 -3;-2 3 -1];

[W,IPIVOT,IFLAG] = FACTOR(A);
if ~IFLAG, disp(' The matrix is singular'), return, end
[N,~] = size(A);
AINV = SUBST(W,IPIVOT,eye(N));

disp('  the computed inverse is ')
AINV

