function values = HORNER(pn,X)
% returns the values at  X  of the polynomial whose Newton form is in pn.
   NP1 = length(pn.coefs); values = repmat(pn.coefs(1),size(X));
   for i=2:NP1
      values = pn.coefs(i) + (X - pn.sites(i)).*values;
   end


